Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1494 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

kernel panic upon dhclient usage with some router (occurs also with some other commands)

Reported by: drebon@crans.org Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: other Version: v0.9.3.1
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

I am using the madwifi version shipped with Ubuntu Gutsy

I got a kernel panic when using dhclient on a certain wifi network.

I use the amd64 version of Gutsy with an Atheros AR5005G wifi card.

The router (and dhcp server) on the network causing the kernel panic seems to be called "Broadband Router" in its configuration file.

For now I don't know wether it is due to the madwifi driver not handling correctly some maybe not conventional ommands the router may sends or maybe dhclient or I don't know what.

here are some hopefully useful files information and files :

uname -a result :

Linux chameau 2.6.22-9-generic #1 SMP Fri Aug 3 00:20:35 GMT 2007 x86_64 GNU/Linux

There are also two other way to get the kernel panic :

  1. I can configure the interface manually, and then if I try to access the router it crashes (pinging is okay but logging into it crashes just after entreing the user credentials)
  1. I can also configure the interface manually and if I try to access the DNS server it will also crash.

Attachments

lspci-vvnn.log (11.4 kB) - added by drebon@crans.org on 08/07/07 21:16:00.
lspci -vvnn result
mesages.log (35.3 kB) - added by drebon@crans.org on 08/07/07 21:17:12.
kernel message I can save
oops.JPG (0.6 MB) - added by drebon@crans.org on 08/07/07 21:18:26.
screenshot of the last screen of the oops

Change History

08/07/07 21:16:00 changed by drebon@crans.org

  • attachment lspci-vvnn.log added.

lspci -vvnn result

08/07/07 21:17:12 changed by drebon@crans.org

  • attachment mesages.log added.

kernel message I can save

08/07/07 21:18:26 changed by drebon@crans.org

  • attachment oops.JPG added.

screenshot of the last screen of the oops

08/07/07 21:19:47 changed by mrenzmann

  • description changed.

08/07/07 21:27:03 changed by Zenigata <drebon@crans.org>

I also have submited the bug to Ubuntu's launchpad : https ://bugs.launchpad.net/ubuntu/+bug/126859

(follow-up: ↓ 4 ) 08/08/07 07:33:29 changed by mrenzmann

Please test if the problem still exists when using trunk.

(in reply to: ↑ 3 ; follow-up: ↓ 5 ) 08/09/07 20:01:04 changed by Zenigata <drebon@crans.org>

Replying to mrenzmann:

using trunk.

Trunk is the svn version ?

If so is there a way to download it under windows and then compiling it under linux (right now I have some troubles connecting to internet with linux)

Regards

-- Z.

(in reply to: ↑ 4 ) 08/09/07 20:43:21 changed by Zenigata <drebon@crans.org>

Ok it works !

Thanks a lot !!

-- Z.

08/09/07 21:41:36 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

Thanks for the feedback.

02/11/08 06:22:02 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.